%define         major        2
%define         libname      %mklibname %{name} %{major}
%define         develname    %mklibname %{name} -d

%define         vampdir      %{_libdir}/vamp
%define         ladspadir    %{_libdir}/ladspa
%define         pkgconfdir   %{_libdir}/pkgconfig

Summary:        Audio time-stretching and pitch-shifting library
Name:           rubberband
Version:        2.0.2
Release:        %mkrel 1
License:        GPLv2
Group:          System/Libraries
URL:            https://www.breakfastquay.com/rubberband/
Source0:        https://breakfastquay.com/files/releases/%{name}-%{version}.tar.xz
Source1:        https://www.breakfastquay.com/rubberband/usage.txt
Patch0:         rubberband-1.8.2-armel.patch

BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  meson
BuildRequires:  ladspa-devel
BuildRequires:  vamp-plugin-sdk-devel
Requires:       %{libname} = %{version}-%{release}

%description
Rubber Band is a library and utility program that permits you to change the
tempo and pitch of an audio recording independently of one another.

%package -n %{libname}
Summary:        Audio time-stretching and pitch-shifting library
Group:          System/Libraries


%description -n %{libname}
Rubber Band is a library and utility program that permits you to change the
tempo and pitch of an audio recording independently of one another.

%package -n %{develname}
Summary:        Development files for rubberband
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}


%description -n %{develname}
Rubber Band is a library and utility program that permits you to change the
tempo and pitch of an audio recording independently of one another. This
package contains files needed to develop with the rubberband library.

%prep
%setup -q
cp %{SOURCE1} .
%apply_patches


%build

%meson
%meson_build



%install
rm -rf %buildroot
%meson_install



%files
%{_bindir}/rubberband

%files -n %{libname}
%{_libdir}/librubberband.so.%{major}*
%ladspadir/*.cat
%ladspadir/*.so
%vampdir/*.cat
%vampdir/*.so
%{_datadir}/ladspa/rdf/ladspa-rubberband.rdf


%files -n %{develname}
%{_includedir}/rubberband
%{_libdir}/*.so
%{_libdir}/*.a
%pkgconfdir/rubberband.pc



%changelog
* Fri May 20 2022 tex - 2.0.2-1pclos2022
- new version

* Thu Mar 18 2021 tex - 1.9.1-1pclos2021
- new version: 1.9.1
- switch to meson build system
- update the usage.txt file
- sync to mga
